import { html as n } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, g = Object.getOwnPropertyDescriptor, a = (i, t, p, r) => {
  for (var e = r > 1 ? void 0 : r ? g(t, p) : t, s = i.length - 1, l; s >= 0; s--)
    (l = i[s]) && (e = (r ? l(t, p, e) : l(e)) || e);
  return r && e && f(t, p, e), e;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--laptopLarge", this.class = "c-pieIcon c-pieIcon--laptopLarge", this.name = "IconLaptopLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--laptopLarge"><path d="M26.5 19.264V7.25a2.625 2.625 0 0 0-2.625-2.625H8.125A2.625 2.625 0 0 0 5.5 7.25v12.014L2 25.389v.236a2.625 2.625 0 0 0 2.625 2.625h22.75A2.625 2.625 0 0 0 30 25.625v-.236l-3.5-6.125ZM7.25 7.25a.875.875 0 0 1 .875-.875h15.75a.875.875 0 0 1 .875.875v11.375H7.25V7.25ZM27.375 26.5h-8.207l-.657-.875H13.49l-.657.875H4.625a.875.875 0 0 1-.875-.683l3.133-5.442h18.235l3.132 5.442a.875.875 0 0 1-.875.683ZM9 22.125h3.5v1.75H9v-1.75Zm10.5 0H23v1.75h-3.5v-1.75Zm-5.25 0h3.5v1.75h-3.5v-1.75Z"></path></svg>`;
  }
};
a([
  c({ type: String, reflect: !0 })
], o.prototype, "size", 2);
a([
  c({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = a([
  v("icon-laptop-large")
], o);
export {
  o as IconLaptopLarge
};
